Bug 1015429 - Cached endpoint never expired
Cached endpoint never expired
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Enrique Gonzalez Martinez
Jitka Kozana
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 04:35 EDT by Hisanobu Okuda
Modified: 2015-04-13 09:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 05:59:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-10-04 04:35:40 EDT
Description of problem:
Properties for remoting connection are cached in org.jboss.naming.remote.client.EndpointCache.cache, and never be removed until JVM shutdown. It causes memory leak when many authentications with different endpoint.name performed

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Hisanobu Okuda 2013-10-04 04:38:12 EDT
Need non-cached mode.
Comment 3 Enrique Gonzalez Martinez 2015-04-09 09:47:40 EDT
@Hisanobu:

Just having a look at this it seems that NamingStoreCache is not cleaning up the endpoint when a naming store is removed from the cache.

Is it possible to know how are you setting up the remote connection ?
Comment 4 Hisanobu Okuda 2015-04-10 05:33:29 EDT
Enrique, thank you for picking up this. The original issue in the support case is that a cached username/password is not updated within a endpoint in EAP 6.1.0. I confirmed it is fixed in EAP 6.1.1. Therefore, the scenario that you need to use a lot of endpoints for a lot of users is not considerable now. The cache is not cleaned up even now, but it is not an issue for now. You can close this BZ.
Comment 5 Enrique Gonzalez Martinez 2015-04-10 05:59:32 EDT
Closing this BZ. See comment#4

Note You need to log in before you can comment on or make changes to this bug.